var feedback;
var tipo="";

function validarEncuestaPregunta(){
	var idPregunta = $("#idPreguntaDetalle").val();
	var result="";
	jQuery.ajax({
		type: 'GET',
		url: '/y41egGestionWar/pregunta/validarPregunta/'+ idPregunta,
		dataType:"json",
		contentType: "application/json",
		async: false,
		success : function(data) {
			result = data;
		}
	});
	return result;
}

function guardarPregunta(type, url){
	var pregunta=jQuery("#pregunta_detail_form").rup_form().formToJson();
	jQuery.ajax({
		type: type,
		url: url,
		dataType:"json",
		contentType: "application/json",
		data: $.toJSON(pregunta),
		async: true,
		success : function() {
			sortablePregunta.rup_sortable("filter");
			if(tipo==="edit"){
				feedback.rup_feedback("set", $.rup.i18nParse($.rup.i18n.base,"rup_table.modifyOK"), "ok");
			}else{
				feedback.rup_feedback("set", $.rup.i18nParse($.rup.i18n.base,"rup_table.insertOK"), "ok");
			}
		}
		, error: function() {
			feedback.rup_feedback("set", $.rup.i18nParse($.rup.i18n.base,"rup_table.insertError"), "error");
		}
	});
	$("#pregunta_detail_div").rup_dialog("close");
}

jQuery(function($){
	
	$("#pregunta_detail_form").rup_form({
		validate: {
     		ignore: "",
    		showErrorsInFeedback: false,
    		showFieldErrorsInFeedback: false,
			rules:{
			}
		}
	});
		
	$("#pregunta_detail_div").rup_dialog({
        type: $.rup.dialog.DIV,
        autoOpen: false,
        modal: true,
        resizable: false,
        width: "88%",
        title: $.rup.i18n.app.comun.pregunta,
		open: function(a, b, c) {
		},
		close: function(a, b, c) {
			respuestasAvisoStr="";
			$('#tipoPregunta_detail_table').rup_combo("clear");
			$('#respuestasAviso_detail_table').rup_combo("clear");
			$("#pregunta_detail_form").validate().resetForm();
		}
	});
	
	$("#pregunta_detail_link_cancel").on("click", function(){
		$("#pregunta_detail_div").rup_dialog("close");
	});
	
	$("#pregunta_detail_button_save").on("click", function(){
		if(jQuery("#pregunta_detail_form").valid()){
			var url ="/y41egGestionWar/pregunta/addPreguntaBloque";
			var type ="POST";
			if(tipo==="edit"){
				url = "/y41egGestionWar/pregunta";
				type = "PUT";
				var resultado = validarEncuestaPregunta();
				if(resultado=="EE"){
					jQuery.rup_messages("msgConfirm", {
						message: $.rup.i18n.app.mensaje.editarBloquePregunta,
						title: $.rup.i18nParse($.rup.i18n.base.rup_message,"confirmacion"),
						OKFunction: function() {
							guardarPregunta(type, url);
						}
					});
					return false;
				}else{
					guardarPregunta(type, url);
				}
			}else{
				guardarPregunta(type, url);
			}
		}
	});
	
});